#
# Sample makefile for bash loadable builtin development
#
# Copyright (C) 2015 Free Software Foundation, Inc.     

#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

PACKAGE = bash
VERSION = 4.4-release

PACKAGE_NAME = bash
PACKAGE_VERSION = 4.4-release

# Include some boilerplate Gnu makefile definitions.
prefix = /

exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
infodir = ${datarootdir}/info
includedir = ${prefix}/include

datarootdir = ${prefix}/share

loadablesdir = ${libdir}/bash
headersdir = $(includedir)/$(PACKAGE_NAME)

topdir = /data/depot/genodelabs/src/bash/2024-04-11/src/noux-pkg/bash
BUILD_DIR = /data/depot/genodelabs/bin/arm_v8a/bash/2024-04-11.build/noux-pkg/bash
srcdir = /data/depot/genodelabs/src/bash/2024-04-11/src/noux-pkg/bash/examples/loadables
VPATH = /data/depot/genodelabs/src/bash/2024-04-11/src/noux-pkg/bash/examples/loadables

# Support an alternate destination root directory for package building
DESTDIR =

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALLMODE= -m 0755


CC = /usr/local/genode/tool/23.05/bin/genode-aarch64-gcc
RM = rm -f

SHELL = /bin/sh

host_os = elf
host_cpu = aarch64
host_vendor = none

CFLAGS = -Dsh_xfree=free -DNO_MAIN_ENV_ARG=1 -DNO_TTY_DRIVER -fcommon -ffunction-sections -O2 -march=armv8-a -g -Wno-parentheses -Wno-format-security
LOCAL_CFLAGS = 
DEFS = -DHAVE_CONFIG_H
LOCAL_DEFS = -DSHELL

CPPFLAGS = -nostdinc -I. -I/data/depot/genodelabs/api/libc/2024-04-11/include/libc -I/data/depot/genodelabs/api/libc/2024-04-11/include/spec/arm_64/libc -I/data/depot/genodelabs/api/libc/2024-04-11/include/libc-genode -I/data/depot/genodelabs/api/libc/2024-04-11/include/spec/arm_64 -I/data/depot/genodelabs/api/libc/2024-04-11/include -I/usr/local/genode/tool/23.05/bin/../lib/gcc/aarch64-none-elf/12.3.0/include -D_GNU_SOURCE=1 -fPIC

BASHINCDIR = ${topdir}/include

SUPPORT_SRC = $(topdir)/support/

LIBBUILD = ${BUILD_DIR}/lib

INTL_LIBSRC = ${topdir}/lib/intl
INTL_BUILDDIR = ${LIBBUILD}/intl
INTL_INC = -I${INTL_LIBSRC} -I${INTL_BUILDDIR}
LIBINTL_H = ${INTL_BUILDDIR}/libintl.h

CCFLAGS = $(DEFS) $(LOCAL_DEFS) $(LOCAL_CFLAGS) $(CFLAGS)

#
# These values are generated for configure by ${topdir}/support/shobj-conf.
# If your system is not supported by that script, but includes facilities for
# dynamic loading of shared objects, please update the script and send the
# changes to bash-maintainers@gnu.org.
#
SHOBJ_CC = /usr/local/genode/tool/23.05/bin/genode-aarch64-gcc
SHOBJ_CFLAGS = -fpic
SHOBJ_LD = ${CC}
SHOBJ_LDFLAGS = -shared -nostdlib -Wl,-gc-sections -Wl,-z -Wl,max-page-size=0x1000 -Wl,-z -Wl,noexecstack -Wl,--hash-style=sysv -Wl,--dynamic-list=/data/genode/repos/base/src/ld/genode_dyn.dl -nostdlib -Wl,-nostdlib -Wl,-Ttext=0x01000000 -march=armv8-a -march=armv8-a -Wl,-T/data/genode/repos/base/src/ld/genode_dyn.ld -Wl,-rpath-link=/data/depot/genodelabs/bin/arm_v8a/bash/2024-04-11.build/noux-pkg/bash -Wl,--dynamic-linker=ld.lib.so -Wl,--eh-frame-hdr -L./lib/termcap
SHOBJ_XLDFLAGS = 
SHOBJ_LIBS = 
SHOBJ_STATUS = supported

INC = -I$(headersdir) -I$(headersdir)/include -I$(headersdir)/builtins

.c.o:
	$(SHOBJ_CC) $(SHOBJ_CFLAGS) $(CCFLAGS) $(INC) -c -o $@ $<

all:	example

example:	example.o
	$(SHOBJ_LD) $(SHOBJ_LDFLAGS) $(SHOBJ_XLDFLAGS) -o $@ example.o $(SHOBJ_LIBS)

example.o: example.c
